Rabin Struct Reference

Rabin keys. More...

`#include <rabin.h>`

Inheritance diagram for Rabin:

## Public Types

typedef RabinFunction | PublicKey
typedef InvertibleRabinFunction | PrivateKey

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

Rabin keys.

Definition at line 106 of file rabin.h.

## Member Typedef Documentation

## PublicKey

typedef RabinFunction Rabin::PublicKey

Definition at line 109 of file rabin.h.

## PrivateKey

typedef InvertibleRabinFunction Rabin::PrivateKey

Definition at line 110 of file rabin.h.

## Member Function Documentation

## StaticAlgorithmName()

std::string Rabin::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 108 of file rabin.h.

The documentation for this struct was generated from the following file:

- rabin.h